Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create document share

POST/workspaces/{organizationId}/documents/{id}/share
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
includeChildrenboolean
expiresAtstring
Responses
201

Share link created

tokenstringrequired
documentIdstringrequired
includeChildrenbooleanrequired
createdAtstringrequired
expiresAtstring | nullrequired
404

Document not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/documents/string/share' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "includeChildren": true,
  "expiresAt": "string"
}'
Response
{
  "token": "string",
  "documentId": "string",
  "includeChildren": true,
  "createdAt": "string",
  "expiresAt": "string"
}

Was this page helpful?